Api reference
Update merchant webhook URL
POST/api/merchant/webhook
Request
Request body (required)
Prop
Type
{ "webhookUrl": "string"}Responses
200 Webhook updated
Example response
{ "message": "merchant webhook updated", "response": { "id": "66c9b4b736d142b900000001", "userId": "66c9b4b736d142b900000002", "businessName": "Acme Store", "email": "payments@acme.example", "status": "active", "accountNumber": "0123456789", "accountName": "Acme Store", "bankCode": "100033", "bankName": "PALMPAY", "webhookUrl": "https://acme.example/webhooks/importa", "availableBalance": 125000, "pendingBalance": 0, "totalCollected": 350000, "totalWithdrawn": 100000, "createdAt": "2026-08-24T12:00:00.000Z", "updatedAt": "2026-08-24T12:00:00.000Z" }}